Rotate a Cloud Connected service API Key
Base URL
https://api.elastic-cloud.com
POST
/api/v1/cloud-connected/clusters/{id} /apikey/{service} /_rotate
Auth
Rotate the API key used by a Cloud Connected service for this cluster.
A new key is returned, and the previous key is revoked after 7 days or when _revoke-pending is called.
Expand all
id
string · pattern: ^[a-z0-9]{32}$
required
The ID of the Cloud Connected cluster
service
enum
required
The name of the Cloud Connected service
Values:
eis
ETag value fetched in a previous GET cluster request. Used to prevent simultaneous updates
200
The new API Key for the Cloud Connected service
application/json
key
string
An API Key that can be used to interact with a Cloud Connected Service
errors
object []
required
−
Hide 2 properties
message
string
required
A human-readable message of the error.
code
string
required
An identifier for this type of error.
errors
object []
required
−
Hide 2 properties
message
string
required
A human-readable message of the error.
code
string
required
An identifier for this type of error.
errors
object []
required
−
Hide 2 properties
message
string
required
A human-readable message of the error.
code
string
required
An identifier for this type of error.